> ## Documentation Index
> Fetch the complete documentation index at: https://docs.stablestack.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Asset Codes

> API reference for fetching supported asset codes

Retrieves a list of all supported asset codes with their networks.

### Key Features:

* Returns both FIAT and STABLECOIN asset codes
* Includes supported networks for STABLECOIN assets
* Filterable by asset\_type (FIAT/STABLECOIN)
* Returns complete metadata including creation timestamps

### Query Parameters:

* `asset_type`: Filter by asset type (FIAT or STABLECOIN)

### Response Examples:

**All Assets**:

```json theme={null}
{
  "status": "success",
  "data": [
    {
      "id": "e5ef5a72-b90c-47ac-be5f-d56c04304300",
      "asset_type": "FIAT",
      "code": "CAD",
      "created_at": "2025-04-02T11:16:14.321Z",
      "updated_at": "2025-04-02T11:16:14.321Z",
      "networks": null
    },
    {
      "id": "119489c6-a21c-4239-8285-c6437141a046",
      "asset_type": "STABLECOIN",
      "code": "USDC",
      "created_at": "2025-03-31T12:15:24.426Z",
      "updated_at": "2025-03-31T12:15:24.426Z",
      "networks": [
        {
          "id": "ce2e5ce1-6213-401b-aade-775dfdff7f7c",
          "network": "Erc20",
          "created_at": "2025-03-31T13:15:36.908Z"
        }
      ]
    }
  ]
}
```


## OpenAPI

````yaml GET /asset-codes
openapi: 3.0.0
info:
  title: 'StableStack: API Service'
  description: "# Overview\n\n##  Introduction\n\nStableStack offers an API first, last mile payment orchestration + liquidity router built with stablecoins. Stablecoin layer integrated into your existing payment flow, with smart accounts and blockchain abstraction. Go between digital and fiat currencies in minutes.\n\n## Getting Help\n\nWe're excited to have you build with us! If you're integrating, we will set up a communication channel. This will enable our teams to easily collaborate and ensure you launch as quickly as possible.\n\nPlease reach out to us at\_[hello@stablestack.xyz](https://mailto:hello@stablestack.xyz)\_for any questions or concerns."
  version: 1.0.0
servers:
  - url: https://api-staging.stablestack.com/api
    description: StableStack API
security: []
tags:
  - name: customers
  - name: customers > kyc
  - name: payouts
  - name: banks
  - name: transactions
  - name: wallets
  - name: assets
  - name: swap
paths:
  /asset-codes:
    get:
      tags:
        - assets
      summary: Get supported asset codes
      description: Retrieves a list of all supported asset codes with their networks
      parameters:
        - name: x-api-key
          in: header
          schema:
            type: string
          required: true
          example: ''
        - name: asset_type
          in: query
          schema:
            type: string
            enum:
              - FIAT
              - STABLECOIN
          required: false
          description: Filter by asset type
          example: STABLECOIN
      responses:
        '200':
          description: Asset codes retrieved successfully
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: string
                    example: success
                  data:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          type: string
                          format: uuid
                          example: e5ef5a72-b90c-47ac-be5f-d56c04304300
                        asset_type:
                          type: string
                          enum:
                            - FIAT
                            - STABLECOIN
                          example: FIAT
                        code:
                          type: string
                          example: CAD
                        created_at:
                          type: string
                          format: date-time
                        updated_at:
                          type: string
                          format: date-time
                        networks:
                          type: array
                          nullable: true
                          items:
                            type: object
                            properties:
                              id:
                                type: string
                                format: uuid
                              network:
                                type: string
                                example: Erc20
                              created_at:
                                type: string
                                format: date-time
              examples:
                allAssets:
                  value:
                    status: success
                    data:
                      - id: e5ef5a72-b90c-47ac-be5f-d56c04304300
                        asset_type: FIAT
                        code: CAD
                        created_at: '2025-04-02T11:16:14.321Z'
                        updated_at: '2025-04-02T11:16:14.321Z'
                        networks: null
                      - id: 119489c6-a21c-4239-8285-c6437141a046
                        asset_type: STABLECOIN
                        code: USDC
                        created_at: '2025-03-31T12:15:24.426Z'
                        updated_at: '2025-03-31T12:15:24.426Z'
                        networks:
                          - id: ce2e5ce1-6213-401b-aade-775dfdff7f7c
                            network: Erc20
                            created_at: '2025-03-31T13:15:36.908Z'
                filteredAssets:
                  value:
                    status: success
                    data:
                      - id: 119489c6-a21c-4239-8285-c6437141a046
                        asset_type: STABLECOIN
                        code: USDC
                        created_at: '2025-03-31T12:15:24.426Z'
                        updated_at: '2025-03-31T12:15:24.426Z'
                        networks:
                          - id: ce2e5ce1-6213-401b-aade-775dfdff7f7c
                            network: Erc20
                            created_at: '2025-03-31T13:15:36.908Z'

````